Subject: bug#12368: closed (Re: bug#12368: 24.1; x-parse-geometry broken in Emacs 24.1)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Sep 2012 06:53:04 +0000

Your bug report

#12368: 24.1; x-parse-geometry broken in Emacs 24.1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12368: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12368
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12368: 24.1; x-parse-geometry broken in Emacs 24.1
From: Jan Djärv <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: Robert Dallas Gray <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 19 Sep 2012 08:51:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello. 

This is fixed in the trunk.

     Jan D.

12 sep 2012 kl. 22:41 skrev Glenn Morris <[email-masked]>:

> Jan Djärv wrote:
> 
>>> And set_frame_size calls XParseGeometry from C as well (so how does that
>>> work on NS? I see nsfns.m has a stub definition as well).
>> 
>> I don't see how set_frame_size calls XParseGeometry. The only calls I
>> see are in Fx_parse_geometry and in widget.c (Xt only).
> 
> The widget.c one is in a function called set_frame_size. I missed that
> it was not the "real" set_frame_size.

Subject: 24.1; x-parse-geometry broken in Emacs 24.1
From: Robert Dallas Gray <[email-masked]>
To: [email-masked]
Date: Thu, 6 Sep 2012 13:31:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
M-:
(x-parse-geometry "80x40+5+10")

Expected result: ((height . 40) (width . 80) (top . 10) (left . 5))
Actual result:   ((top . 80)) 

In GNU Emacs 24.1.1 (x86_64-apple-darwin11.4.0, NS apple-appkit-1138.47)
of 2012-09-03 on pud.default
Windowing system distributor `Apple', version 10.3.1138
Configured using:
`configure '--prefix=/usr/local/Cellar/emacs/24.1' '--without-dbus'
'--enable-locallisppath=/usr/local/share/emacs/site-lisp'
'--infodir=/usr/local/Cellar/emacs/24.1/share/info/emacs' '--with-ns'
'--disable-ns-self-contained' 'CC=/usr/bin/clang' 'CFLAGS=-Os -w -pipe
-march=native -Qunused-arguments -mmacosx-version-min=10.7'
'LDFLAGS=-L/usr/local/lib''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ ? 1 ; 2 c ESC : ( x - p a r s e - g e o m e t 
r e DEL y SPC " 3 5 x 2 5 + 0 + 0 " ) RET ESC x r e 
p o r t SPC DEL - e TAB RET

Recent messages:
("/usr/local/Cellar/emacs/24.1/bin/emacs")
For information about GNU Emacs and the GNU system, type C-h C-a.
((top . 35))

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)